#pragma once
#include <QWidget>
#include "ui_SettingsWindow.h"

class SettingsWindow : public QWidget
{
	Q_OBJECT

public:
	SettingsWindow(QWidget * parent = Q_NULLPTR);
	~SettingsWindow();

private:
	Ui::SettingsWindow* ui;

private slots:
	// light off
	void lightOffRValueChanged(QString value);
	void lightOffRValueChanged(int value);

	void lightOffGValueChanged(QString value);
	void lightOffGValueChanged(int value);

	void lightOffBValueChanged(QString value);
	void lightOffBValueChanged(int value);

	// light on
	void lightOnRValueChanged(QString value);
	void lightOnRValueChanged(int value);

	void lightOnGValueChanged(QString value);
	void lightOnGValueChanged(int value);

	void lightOnBValueChanged(QString value);
	void lightOnBValueChanged(int value);

	// light
	void lightRValueChanged(QString value);
	void lightRValueChanged(int value);

	void lightGValueChanged(QString value);
	void lightGValueChanged(int value);

	void lightBValueChanged(QString value);
	void lightBValueChanged(int value);

	void autoColorToggled();

	void radioToggled();
};